Bug 111374 - [CI][BAT] igt@gem_exec_schedule@independent-blt - fail - Failed assertion: !"GPU hung"
Summary: [CI][BAT] igt@gem_exec_schedule@independent-blt - fail - Failed assertion: !"...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-12 08:14 UTC by Martin Peres
Modified: 2019-08-14 06:13 UTC (History)
1 user (show)

See Also:
i915 platform: BYT, HSW
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-08-12 08:14:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6677/shard-hsw7/igt@gem_exec_schedule@independent-blt.html

Starting subtest: independent-blt
(gem_exec_schedule:10253) igt_aux-CRITICAL: Test assertion failure function sig_abort, file ../lib/igt_aux.c:502:
(gem_exec_schedule:10253) igt_aux-CRITICAL: Failed assertion: !"GPU hung"
Comment 2 Chris Wilson 2019-08-12 08:19:59 UTC
Hmm, bcs0 dropped to less than 1k available in its ring so would be stalling waiting for some space before letting the client continue. Key question would be why this is sporadic? Maybe it depends on how much space we waste on ring wrap, that sounds highly probable. I think we just need to tweak measure_ring_space.
Comment 3 CI Bug Log 2019-08-12 10:56:27 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW: igt@gem_exec_schedule@independent-blt - fail - Failed assertion: !"GPU hung" -}
{+ BYT HSW: igt@gem_exec_schedule@(independent-blt|fifo-blt)  - fail - Failed assertion: !"GPU hung" +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_341/fi-byt-j1900/igt@gem_exec_schedule@fifo-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_341/fi-byt-n2820/igt@gem_exec_schedule@fifo-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_340/fi-byt-j1900/igt@gem_exec_schedule@fifo-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_340/fi-byt-n2820/igt@gem_exec_schedule@fifo-blt.html
Comment 4 Chris Wilson 2019-08-12 14:37:47 UTC
commit a49a3a6cdbc4949c0ae8df5f3d8c3e476aefdea1 (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 12 11:30:28 2019 +0100

    lib/i915: Trim ring measurement by one
    
    Be a little more conservative in our ring measurement and exclude one
    batch to leave room in case our user needs to wrap (where a request will
    be expanded to cover the unused space at the end of the ring).
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=111374
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>

Hopefully.
Comment 5 CI Bug Log 2019-08-13 07:30:49 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW: igt@gem_exec_schedule@(independent-blt|fifo-blt)  - fail - Failed assertion: !&quot;GPU hung&quot; -}
{+ BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-blt)  - fail - Failed assertion: !&quot;GPU hung&quot; +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5129/shard-hsw5/igt@gem_exec_schedule@independent-bsd.html
Comment 6 CI Bug Log 2019-08-14 06:11:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-blt)  - fail - Failed assertion: !&quot;GPU hung&quot; -}
{+ BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-blt)  - fail - Failed assertion: !&quot;GPU hung&quot; +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5130/shard-hsw4/igt@gem_exec_schedule@fifo-bsd.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6695/shard-hsw5/igt@gem_exec_schedule@fifo-bsd.html
Comment 7 CI Bug Log 2019-08-14 06:12:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-blt)  - fail - Failed assertion: !&quot;GPU hung&quot; -}
{+ BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-(blt|bsd))  - fail - Failed assertion: !&quot;GPU hung&quot; +}


  No new failures caught with the new filter
Comment 8 CI Bug Log 2019-08-14 06:13:44 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-(blt|bsd))  - fail - Failed assertion: !&quot;GPU hung&quot; -}
{+ BYT HSW: igt@gem_exec_schedule@(independent-(bsd|blt)|fifo-(blt|bsd))|igt@gem_exec_schedule@fifo-vebox  - fail - Failed assertion: !&quot;GPU hung&quot; +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6696/shard-hsw1/igt@gem_exec_schedule@fifo-vebox.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.